CREATE aa-imo_packing_group.
ASSIGN aa-imo_packing_group.groupcode       = "1"
       aa-imo_packing_group.des             = "Packinggroup I"
       aa-imo_packing_group.dt_create       = TODAY
       aa-imo_packing_group.create_usercode = "softpak"
       aa-imo_packing_group.dt_updated      = TODAY
       aa-imo_packing_group.update_usercode = "softpak".

CREATE aa-imo_packing_group.
ASSIGN aa-imo_packing_group.groupcode       = "2"
       aa-imo_packing_group.des             = "Packinggroup II"
       aa-imo_packing_group.dt_create       = TODAY
       aa-imo_packing_group.create_usercode = "softpak"
       aa-imo_packing_group.dt_updated      = TODAY
       aa-imo_packing_group.update_usercode = "softpak".

CREATE aa-imo_packing_group.
ASSIGN aa-imo_packing_group.groupcode       = "3"
       aa-imo_packing_group.des             = "Packinggroup III"
       aa-imo_packing_group.dt_create       = TODAY
       aa-imo_packing_group.create_usercode = "softpak"
       aa-imo_packing_group.dt_updated      = TODAY
       aa-imo_packing_group.update_usercode = "softpak".

FOR EACH ca-imo_dangerous_goods:

  FIND aa-imo WHERE
       aa-imo.imo_seqnr = ca-imo_dangerous_goods.imo_seqnr NO-LOCK NO-ERROR.

  IF NOT AVAIL aa-imo
  THEN DO:
    CREATE aa-imo.
    ASSIGN aa-imo.imo_seqnr                 = ca-imo_dangerous_goods.imo_seqnr
           aa-imo.des                       = ca-imo_dangerous_goods.shipping_name
           aa-imo.imocode                   = STRING(ca-imo_dangerous_goods.un-number,"9999")
           aa-imo.class                     = ca-imo_dangerous_goods.class
           aa-imo.sub_class                 = ca-imo_dangerous_goods.subclass_1
           aa-imo.unno                      = STRING(ca-imo_dangerous_goods.un-number,"9999")
           aa-imo.page_ref                  = ca-imo_dangerous_goods.page-no
           aa-imo.version                   = ca-imo_dangerous_goods.version_number
           aa-imo.flashpoint                = ca-imo_dangerous_goods.flashpoint
           aa-imo.emscode                   = ca-imo_dangerous_goods.ems-number
           aa-imo.mfagcode                  = ca-imo_dangerous_goods.mfag-number
           aa-imo.packing_groupcode         = (IF ca-imo_dangerous_goods.packaging = "0" THEN "" ELSE ca-imo_dangerous_goods.packaging)
           aa-imo.ind_imo                   = YES
           aa-imo.sub_class2                = ca-imo_dangerous_goods.subclass_2
           aa-imo.substance-number          = ca-imo_dangerous_goods.substance-number
           aa-imo.IMDG-number               = ca-imo_dangerous_goods.IMDG-number
           aa-imo.ind_not_allowed_with_imo1 = ca-imo_dangerous_goods.ind_not_allowed_with_imo1
           aa-imo.tp_licensetype            = ca-imo_dangerous_goods.tp_licensetype
           aa-imo.ind_show_warning          = ca-imo_dangerous_goods.ind_show_warning
           aa-imo.warning_text              = ca-imo_dangerous_goods.warning_text
           aa-imo.dt_create                 = TODAY
           aa-imo.create_usercode           = "softpak"
           aa-imo.dt_updated                = TODAY
           aa-imo.update_usercode           = "softpak".
  END.
END.


